osl::eval::ml::SilverRetreat Class Reference

`#include <minorPiece.h>`

Inheritance diagram for osl::eval::ml::SilverRetreat:

## Public Types

enum | { DIM = 9 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
Static Public Member Functions inherited from osl::eval::ml::SilverFeatures
static MultiInt | eval (const NumEffectState &state)

## Additional Inherited Members

Static Protected Member Functions inherited from osl::eval::ml::SilverFeatures
template<Player P>
static int | indexRetreat (Square pos)
template<Player P>
static bool | canRetreat (const NumEffectState &state, const Piece silver)
template<Player P>
static MultiInt | evalOne (const NumEffectState &state, const Piece silver, const CArray< Square, 2 > &kings)
Static Protected Attributes inherited from osl::eval::ml::SilverFeatures
static CArray< MultiInt, 153 > | head_table
static CArray< MultiInt, 9 > | retreat_table

## Detailed Description

Definition at line 592 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 595 of file minorPiece.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::SilverRetreat::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 360 of file minorPiece.cc.

References osl::eval::ml::Weights::dimension(), osl::eval::ml::SilverFeatures::retreat_table, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc